Send a contact email code
import requests
url = "https://platform.ankra.app/org/account/contact-email"
payload = { "contact_email": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contact_email: '<string>'})
};
fetch('https://platform.ankra.app/org/account/contact-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/org/account/contact-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_email": "<string>"
}
'{
"contact_email": "<string>",
"contact_email_verified_at": "2023-11-07T05:31:56Z",
"pending_contact_email": "<string>",
"pending_expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Account
Send a contact email code
Mails a six-digit code to the address you want to use. The address is stored only once the code comes back through the verify route; sends are rate limited per account.
POST
/
org
/
account
/
contact-email
Send a contact email code
import requests
url = "https://platform.ankra.app/org/account/contact-email"
payload = { "contact_email": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contact_email: '<string>'})
};
fetch('https://platform.ankra.app/org/account/contact-email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/org/account/contact-email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_email": "<string>"
}
'{
"contact_email": "<string>",
"contact_email_verified_at": "2023-11-07T05:31:56Z",
"pending_contact_email": "<string>",
"pending_expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
254